Delete a holiday calendar

DELETE
/v1/scheduling/holiday_calendars/{id}

Hosts can be booked on its days again, shortly: past entries stay.

Authorization

bearerAuth
headerAuthorizationBearer <token>

A secret API key from the dashboard: coss_live_… for production environments, coss_test_… for sandbox environments.

Path Parameters

id*string

The holiday calendar's id.

Header Parameters

Coss-Version?"2026-10-10"

The API version (a date) to use for this request. Defaults to your organization's version, pinned to the latest one when it first used the API and upgraded from the dashboard. The SDK always sends the version it was built for.

Value in"2026-10-10"

Response Body

It's going.

application/json
  1. response
id*string
deleted*true
Value intrue
import { Coss } from "coss";const coss = new Coss({  apiKey: process.env.COSS_API_KEY,  baseUrl: "https://api.coss.com",});const { data, error } = await coss.scheduling.holidayCalendars.remove("string");
{  "id": "hcal_01kd2m9a0b1c2d3e4f5g6h7j8m",  "deleted": true}